org.eclipse.ease.lang.unittest.ui.views

## Class MultiSelectionProvider

- java.lang.Object
- - org.eclipse.ease.lang.unittest.ui.views.MultiSelectionProvider

All Implemented Interfaces:
  java.util.EventListener, ISelectionChangedListener, ISelectionProvider, FocusListener, SWTEventListener

    public class MultiSelectionProvider
    extends java.lang.Object
    implements ISelectionProvider, ISelectionChangedListener, FocusListener

### Constructor Summary

Constructors
Constructor and Description
`MultiSelectionProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionChangedListener(ISelectionChangedListener listener)`
`void` `addSelectionProvider(ISelectionProvider provider)`
`void` `focusGained(FocusEvent e)`
`void` `focusLost(FocusEvent e)`
`ISelection` `getSelection()`
`void` `removeSelectionChangedListener(ISelectionChangedListener listener)`
`void` `selectionChanged(SelectionChangedEvent event)`
`void` `setSelection(ISelection selection)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.events.FocusListener

`focusGainedAdapter, focusLostAdapter`

### Constructor Detail

#### MultiSelectionProvider

    public MultiSelectionProvider()

### Method Detail

#### addSelectionProvider

    public void addSelectionProvider(ISelectionProvider provider)

#### addSelectionChangedListener

    public void addSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `addSelectionChangedListener` in interface `ISelectionProvider`

#### getSelection

    public ISelection getSelection()

Specified by:
  `getSelection` in interface `ISelectionProvider`

#### removeSelectionChangedListener

    public void removeSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `removeSelectionChangedListener` in interface `ISelectionProvider`

#### setSelection

    public void setSelection(ISelection selection)

Specified by:
  `setSelection` in interface `ISelectionProvider`

#### selectionChanged

    public void selectionChanged(SelectionChangedEvent event)

Specified by:
  `selectionChanged` in interface `ISelectionChangedListener`

#### focusGained

    public void focusGained(FocusEvent e)

Specified by:
  `focusGained` in interface `FocusListener`

#### focusLost

    public void focusLost(FocusEvent e)

Specified by:
  `focusLost` in interface `FocusListener`